M49_to_ISO3 = {
    4: "AFG",
    8: "ALB",
    10: "ATA",
    12: "DZA",
    16: "ASM",
    20: "AND",
    24: "AGO",
    28: "ATG",
    31: "AZE",
    32: "ARG",
    36: "AUS",
    40: "AUT",
    44: "BHS",
    48: "BHR",
    50: "BGD",
    51: "ARM",
    52: "BRB",
    56: "BEL",
    60: "BMU",
    64: "BTN",
    68: "BOL",
    70: "BIH",
    72: "BWA",
    74: "BVT",
    76: "BRA",
    84: "BLZ",
    86: "IOT",
    90: "SLB",
    92: "VGB",
    96: "BRN",
    100: "BGR",
    104: "MMR",
    108: "BDI",
    112: "BLR",
    116: "KHM",
    120: "CMR",
    124: "CAN",
    132: "CPV",
    136: "CYM",
    140: "CAF",
    144: "LKA",
    148: "TCD",
    152: "CHL",
    156: "CHN",
    162: "CXR",
    166: "CCK",
    170: "COL",
    174: "COM",
    175: "MYT",
    178: "COG",
    180: "COD",
    184: "COK",
    188: "CRI",
    191: "HRV",
    192: "CUB",
    196: "CYP",
    203: "CZE",
    204: "BEN",
    208: "DNK",
    212: "DMA",
    214: "DOM",
    218: "ECU",
    222: "SLV",
    226: "GNQ",
    231: "ETH",
    232: "ERI",
    233: "EST",
    234: "FRO",
    238: "FLK",
    239: "SGS",
    242: "FJI",
    246: "FIN",
    248: "ALA",
    250: "FRA",
    254: "GUF",
    258: "PYF",
    260: "ATF",
    262: "DJI",
    266: "GAB",
    268: "GEO",
    270: "GMB",
    275: "PSE",
    276: "DEU",
    288: "GHA",
    292: "GIB",
    296: "KIR",
    300: "GRC",
    304: "GRL",
    308: "GRD",
    312: "GLP",
    316: "GUM",
    320: "GTM",
    324: "GIN",
    328: "GUY",
    332: "HTI",
    334: "HMD",
    336: "VAT",
    340: "HND",
    344: "HKG",
    348: "HUN",
    352: "ISL",
    356: "IND",
    360: "IDN",
    364: "IRN",
    368: "IRQ",
    372: "IRL",
    376: "ISR",
    380: "ITA",
    384: "CIV",
    388: "JAM",
    392: "JPN",
    398: "KAZ",
    400: "JOR",
    404: "KEN",
    408: "PRK",
    410: "KOR",
    414: "KWT",
    417: "KGZ",
    418: "LAO",
    422: "LBN",
    426: "LSO",
    428: "LVA",
    430: "LBR",
    434: "LBY",
    438: "LIE",
    440: "LTU",
    442: "LUX",
    446: "MAC",
    450: "MDG",
    454: "MWI",
    458: "MYS",
    462: "MDV",
    466: "MLI",
    470: "MLT",
    474: "MTQ",
    478: "MRT",
    480: "MUS",
    484: "MEX",
    492: "MCO",
    496: "MNG",
    498: "MDA",
    499: "MNE",
    500: "MSR",
    504: "MAR",
    508: "MOZ",
    512: "OMN",
    516: "NAM",
    520: "NRU",
    524: "NPL",
    528: "NLD",
    531: "CUW",
    533: "ABW",
    534: "SXM",
    535: "BES",
    540: "NCL",
    548: "VUT",
    554: "NZL",
    558: "NIC",
    562: "NER",
    566: "NGA",
    570: "NIU",
    574: "NFK",
    578: "NOR",
    580: "MNP",
    581: "UMI",
    583: "FSM",
    584: "MHL",
    585: "PLW",
    586: "PAK",
    591: "PAN",
    598: "PNG",
    600: "PRY",
    604: "PER",
    608: "PHL",
    612: "PCN",
    616: "POL",
    620: "PRT",
    624: "GNB",
    626: "TLS",
    630: "PRI",
    634: "QAT",
    638: "REU",
    642: "ROU",
    643: "RUS",
    646: "RWA",
    652: "BLM",
    654: "SHN",
    659: "KNA",
    660: "AIA",
    662: "LCA",
    663: "MAF",
    666: "SPM",
    670: "VCT",
    674: "SMR",
    678: "STP",
    682: "SAU",
    686: "SEN",
    688: "SRB",
    690: "SYC",
    694: "SLE",
    702: "SGP",
    703: "SVK",
    704: "VNM",
    705: "SVN",
    706: "SOM",
    710: "ZAF",
    716: "ZWE",
    724: "ESP",
    728: "SSD",
    729: "SDN",
    732: "ESH",
    740: "SUR",
    744: "SJM",
    748: "SWZ",
    752: "SWE",
    756: "CHE",
    760: "SYR",
    762: "TJK",
    764: "THA",
    768: "TGO",
    772: "TKL",
    776: "TON",
    780: "TTO",
    784: "ARE",
    788: "TUN",
    792: "TUR",
    795: "TKM",
    796: "TCA",
    798: "TUV",
    800: "UGA",
    804: "UKR",
    807: "MKD",
    818: "EGY",
    826: "GBR",
    831: "GGY",
    832: "JEY",
    833: "IMN",
    834: "TZA",
    840: "USA",
    850: "VIR",
    854: "BFA",
    858: "URY",
    860: "UZB",
    862: "VEN",
    876: "WLF",
    882: "WSM",
    887: "YEM",
    894: "ZMB",
}


SUPERWELL_NAME_TO_ISO3 = {
    "Afghanistan": "AFG",
    "Albania": "ALB",
    "Algeria": "DZA",
    "Andorra": "AND",
    "Angola": "AGO",
    "Argentina": "ARG",
    "Armenia": "ARM",
    "Australia": "AUS",
    "Austria": "AUT",
    "Azerbaijan": "AZE",
    "Bahamas": "BHS",
    "Bahrain": "BHR",
    "Bangladesh": "BGD",
    "Belarus": "BLR",
    "Belgium": "BEL",
    "Belize": "BLZ",
    "Benin": "BEN",
    "Bhutan": "BTN",
    "Bolivia": "BOL",
    "Bosnia and Herzegovina": "BIH",
    "Botswana": "BWA",
    "Brazil": "BRA",
    "Brunei Darussalam": "BRN",
    "Bulgaria": "BGR",
    "Burkina Faso": "BFA",
    "Burundi": "BDI",
    "Cambodia": "KHM",
    "Cameroon": "CMR",
    "Canada": "CAN",
    "Central African Republic": "CAF",
    "Chad": "TCD",
    "Chile": "CHL",
    "China": "CHN",
    "Colombia": "COL",
    "Congo": "COG",
    "Costa Rica": "CRI",
    "Croatia": "HRV",
    "Cuba": "CUB",
    "Cyprus": "CYP",
    "Czech Republic": "CZE",  # Note: The official name is now Czechia
    "Democratic Republic of the Congo": "COD",
    "Denmark": "DNK",
    "Djibouti": "DJI",
    "Dominican Republic": "DOM",
    "Ecuador": "ECU",
    "Egypt": "EGY",
    "El Salvador": "SLV",
    "Equatorial Guinea": "GNQ",
    "Eritrea": "ERI",
    "Estonia": "EST",
    "Ethiopia": "ETH",
    "Finland": "FIN",
    "France": "FRA",
    "Gabon": "GAB",
    "Gambia": "GMB",
    "Georgia": "GEO",
    "Germany": "DEU",
    "Ghana": "GHA",
    "Gibraltar": "GIB",
    "Greece": "GRC",
    "Greenland": "GRL",
    "Guatemala": "GTM",
    "Guinea": "GIN",
    "Guinea-Bissau": "GNB",
    "Guyana": "GUY",
    "Haiti": "HTI",
    "Holy See": "VAT",
    "Honduras": "HND",
    "Hungary": "HUN",
    "Iceland": "ISL",
    "India": "IND",
    "Indonesia": "IDN",
    "Iran": "IRN",
    "Iraq": "IRQ",
    "Ireland": "IRL",
    "Israel": "ISR",
    "Italy": "ITA",
    "Jamaica": "JAM",
    "Japan": "JPN",
    "Jordan": "JOR",
    "Kazakhstan": "KAZ",
    "Kenya": "KEN",
    "Kuwait": "KWT",
    "Kyrgyzstan": "KGZ",
    "Laos": "LAO",
    "Latvia": "LVA",
    "Lebanon": "LBN",
    "Lesotho": "LSO",
    "Liberia": "LBR",
    "Libya": "LBY",
    "Liechtenstein": "LIE",
    "Lithuania": "LTU",
    "Luxembourg": "LUX",
    "Madagascar": "MDG",
    "Malawi": "MWI",
    "Malaysia": "MYS",
    "Mali": "MLI",
    "Marshall Islands": "MHL",
    "Mauritania": "MRT",
    "Mexico": "MEX",
    "Moldova": "MDA",
    "Monaco": "MCO",
    "Mongolia": "MNG",
    "Montenegro": "MNE",
    "Morocco": "MAR",
    "Mozambique": "MOZ",
    "Myanmar": "MMR",
    "Namibia": "NAM",
    "Nepal": "NPL",
    "Netherlands": "NLD",
    "New Zealand": "NZL",
    "Nicaragua": "NIC",
    "Niger": "NER",
    "Nigeria": "NGA",
    "North Korea": "PRK",
    "Norway": "NOR",
    "Oman": "OMN",
    "Pakistan": "PAK",
    "Palestinian Territory": "PSE",
    "Panama": "PAN",
    "Papua New Guinea": "PNG",
    "Paraguay": "PRY",
    "Peru": "PER",
    "Philippines": "PHL",
    "Poland": "POL",
    "Portugal": "PRT",
    "Qatar": "QAT",
    "Romania": "ROU",
    "Russian Federation": "RUS",
    "Rwanda": "RWA",
    "San Marino": "SMR",
    "Saudi Arabia": "SAU",
    "Senegal": "SEN",
    "Serbia": "SRB",
    "Seychelles": "SYC",
    "Sierra Leone": "SLE",
    "Singapore": "SGP",
    "Slovakia": "SVK",
    "Slovenia": "SVN",
    "Somalia": "SOM",
    "South Africa": "ZAF",
    "South Korea": "KOR",
    "Spain": "ESP",
    "Sri Lanka": "LKA",
    "Suriname": "SUR",
    "Swaziland": "SWZ",  # Note: Now officially known as Eswatini
    "Sweden": "SWE",
    "Switzerland": "CHE",
    "Syria": "SYR",
    "Tajikistan": "TJK",
    "Tanzania": "TZA",
    "Thailand": "THA",
    "The Former Yugoslav Republic of Macedonia": "MKD",  # Now officially known as North Macedonia
    "Timor-Leste": "TLS",
    "Togo": "TGO",
    "Tunisia": "TUN",
    "Turkey": "TUR",
    "Turkmenistan": "TKM",
    "Uganda": "UGA",
    "Ukraine": "UKR",
    "United Arab Emirates": "ARE",
    "United Kingdom": "GBR",
    "United States": "USA",
    "Uruguay": "URY",
    "Uzbekistan": "UZB",
    "Venezuela": "VEN",
    "Vietnam": "VNM",
    "Yemen": "YEM",
    "Zambia": "ZMB",
    "Zimbabwe": "ZWE",
    "Sudan": "SDN",
    "South Sudan": "SSD",
}

GLOBIOM_NAME_TO_ISO3 = {
    "Argentina": "ARG",
    "Australia": "AUS",
    "Brazil": "BRA",
    "Canada": "CAN",
    "China": "CHN",
    "Cameroon": "CMR",
    "CentAfrRep": "CAF",
    "CongoDemR": "COD",
    "CongoRep": "COG",
    "EqGuinea": "GNQ",
    "Gabon": "GAB",
    "Estonia": "EST",
    "Latvia": "LVA",
    "Lithuania": "LTU",
    "Bulgaria": "BGR",
    "Croatia": "HRV",
    "CzechRep": "CZE",
    "Hungary": "HUN",
    "Poland": "POL",
    "Romania": "ROU",
    "Slovakia": "SVK",
    "Slovenia": "SVN",
    "Austria": "AUT",
    "Belgium": "BEL",
    "France": "FRA",
    "Germany": "DEU",
    "Luxembourg": "LUX",
    "Netherlands": "NLD",
    "Denmark": "DNK",
    "Finland": "FIN",
    "Ireland": "IRL",
    "Sweden": "SWE",
    "UK": "GBR",
    "Cyprus": "CYP",
    "Greece": "GRC",
    "Italy": "ITA",
    "Malta": "MLT",
    "Portugal": "PRT",
    "Spain": "ESP",
    "Armenia": "ARM",
    "Azerbaijan": "AZE",
    "Belarus": "BLR",
    "Georgia": "GEO",
    "Kazakhstan": "KAZ",
    "Kyrgyzstan": "KGZ",
    "MoldovaRep": "MDA",
    "Tajikistan": "TJK",
    "Turkmenistan": "TKM",
    "Uzbekistan": "UZB",
    "India": "IND",
    "Indonesia": "IDN",
    "Japan": "JPN",
    "Malaysia": "MYS",
    "Mexico": "MEX",
    "Bahrain": "BHR",
    "Iran": "IRN",
    "Iraq": "IRQ",
    "Israel": "ISR",
    "Jordan": "JOR",
    "Kuwait": "KWT",
    "Lebanon": "LBN",
    "Oman": "OMN",
    "Palestin": "PSE",
    "Qatar": "QAT",
    "SaudiArabia": "SAU",
    "Syria": "SYR",
    "UntdArabEm": "ARE",
    "Yemen": "YEM",
    "NewZealand": "NZL",
    "Algeria": "DZA",
    "Egypt": "EGY",
    "Libya": "LBY",
    "Morocco": "MAR",
    "Tunisia": "TUN",
    "WestSahara": "ESH",
    "FijiIslands": "FJI",
    "FrPolynesia": "PYF",
    "NewCaledonia": "NCL",
    "PapuaNGuin": "PNG",
    "Samoa": "WSM",
    "SolomonIs": "SLB",
    "Vanuatu": "VUT",
    "Bahamas": "BHS",
    "Belize": "BLZ",
    "CostaRica": "CRI",
    "Cuba": "CUB",
    "DominicanRp": "DOM",
    "ElSalvador": "SLV",
    "Guadeloupe": "GLP",
    "Guatemala": "GTM",
    "Haiti": "HTI",
    "Honduras": "HND",
    "Jamaica": "JAM",
    "Nicaragua": "NIC",
    "Panama": "PAN",
    "TrinidadTob": "TTO",
    "Albania": "ALB",
    "BosniaHerzg": "BIH",
    "Macedonia": "MKD",
    "Serbia-Monte": "SRB",
    "Greenland": "GRL",
    "Iceland": "ISL",
    "Norway": "NOR",
    "Switzerland": "CHE",
    "Bolivia": "BOL",
    "Chile": "CHL",
    "Colombia": "COL",
    "Ecuador": "ECU",
    "FalklandIs": "FLK",
    "FrGuiana": "GUF",
    "Guyana": "GUY",
    "Paraguay": "PRY",
    "Peru": "PER",
    "Suriname": "SUR",
    "Uruguay": "URY",
    "Venezuela": "VEN",
    "Afghanistan": "AFG",
    "Bangladesh": "BGD",
    "Bhutan": "BTN",
    "Nepal": "NPL",
    "Pakistan": "PAK",
    "SriLanka": "LKA",
    "BruneiDarsm": "BRN",
    "Myanmar": "MMR",
    "Philippines": "PHL",
    "Singapore": "SGP",
    "Thailand": "THA",
    "TimorLeste": "TLS",
    "Cambodia": "KHM",
    "KoreaDPRp": "PRK",
    "Laos": "LAO",
    "Mongolia": "MNG",
    "VietNam": "VNM",
    "RussianFed": "RUS",
    "SouthAfrica": "ZAF",
    "KoreaRep": "KOR",
    "Burundi": "BDI",
    "Ethiopia": "ETH",
    "Kenya": "KEN",
    "Rwanda": "RWA",
    "Tanzania": "TZA",
    "Uganda": "UGA",
    "Angola": "AGO",
    "Botswana": "BWA",
    "Comoros": "COM",
    "Lesotho": "LSO",
    "Madagascar": "MDG",
    "Malawi": "MWI",
    "Mauritius": "MUS",
    "Mozambique": "MOZ",
    "Namibia": "NAM",
    "Reunion": "REU",
    "Swaziland": "SWZ",
    "Zambia": "ZMB",
    "Zimbabwe": "ZWE",
    "Benin": "BEN",
    "BurkinaFaso": "BFA",
    "CapeVerde": "CPV",
    "Chad": "TCD",
    "CotedIvoire": "CIV",
    "Djibouti": "DJI",
    "Eritrea": "ERI",
    "Gambia": "GMB",
    "Ghana": "GHA",
    "Guinea": "GIN",
    "GuineaBissau": "GNB",
    "Liberia": "LBR",
    "Mali": "MLI",
    "Mauritania": "MRT",
    "Niger": "NER",
    "Nigeria": "NGA",
    "Senegal": "SEN",
    "SierraLeone": "SLE",
    "Somalia": "SOM",
    "Sudan": "SDN",
    "Togo": "TGO",
    "Turkey": "TUR",
    "Ukraine": "UKR",
    "PuertoRico": "PRI",
    "USA": "USA",
}
